#!/bin/bash
MAX_RAM=2g
START_RAM=512m
LAUNCH="java -classpath lib/*:workflows/* -Xms$START_RAM -Xmx$MAX_RAM -Dlogback.configurationFile=./logging_configuration.xml -Dcolor"
# Uncomment next line: Set to a specific language code (e.g. DE, FR or US) if you want CSV files to be written in the corresponding format.
# LAUNCH="java -d64 -classpath lib/*:workflows/* -Xms$START_RAM -Xmx$MAX_RAM -Dlogback.configurationFile=./logging_configuration.xml -Duser.language=en -Duser.country=US"
SCRIPT_DIR=$( cd "$(dirname "${BASH_SOURCE[0]}")" ; pwd -P )
cd "$SCRIPT_DIR"

if [[ -z "$1" ]]
  then
	echo Launching: $LAUNCH eu.simstadt.desktop.SimStadtApp
	$LAUNCH eu.simstadt.desktop.SimStadtApp
  else
	echo Launching: $LAUNCH eu.simstadt.desktop.SimStadtCommandLineInterface "$1"
	$LAUNCH eu.simstadt.desktop.SimStadtCommandLineInterface "$1"
fi
