<?xml version="1.0" encoding="UTF-8"?>
<!-- Execute this xslt on a building usage library to create a coding table for ALKIS codes (String -> Int between 1000 and 9999). -->
<!-- Such a table is used in SimStadt workflows to map project specific ALKIS codes to the ones used in the building usage library. -->
<!-- For cases that project specific ALKIS codes differ only by prefix and/or postfix this transformation can be called with -->
<!-- two according parameters. Other code mappings have to be edited manual within the created file. -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:buLib="http://www.simstadt.eu/BuildingUsageLibraries">
	<xsl:output method="xml" indent="yes"/>
	<xsl:param name="prefix"/>
	<xsl:param name="postfix"/>
	<xsl:template match="/buLib:buildingUsageLibrary">
		<codes xmlns="http://www.simstadt.eu/AlkisCodes">
			<codesForBuildingUsageLibraryNamed>
				<xsl:value-of select="buLib:name"/>
			</codesForBuildingUsageLibraryNamed>
			<xsl:for-each select="buLib:alkisMapping">
				<xsl:sort select="buLib:id" data-type="number"/>
				<code>
					<xsl:attribute name="from"><xsl:value-of select="$prefix"/><xsl:value-of select="buLib:id"/><xsl:value-of select="$postfix"/>
					</xsl:attribute>
					<xsl:attribute name="to"> <xsl:value-of select="buLib:id"/>
					</xsl:attribute>
				</code>
			</xsl:for-each>
		</codes>
	</xsl:template>
</xsl:stylesheet>